monitorLoad = {};
function monitorLoad.prerequisitesPresent(specializations) return true; end;
function monitorLoad:load(savegame) self.speedWaitingMaxTimeMonitor = 2500; self.speedWaitingTimerMonitor = 1; 
    self.monitorFirst  = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.monitorImage#firstIndex"));
    self.monitorSecond = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.monitorImage#secondIndex"));
    self.monitorThird  = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.monitorImage#thirdIndex")); end;
function monitorLoad:delete() end;
function monitorLoad:mouseEvent(posX, posY, isDown, isUp, button) end;
function monitorLoad:keyEvent(unicode, sym, modifier, isDown) end;
function monitorLoad:update(dt) if self.isMotorStarted then 
    if self.speedWaitingTimerMonitor < self.speedWaitingMaxTimeMonitor 
        then setVisibility(self.monitorFirst, true); setVisibility(self.monitorSecond, false); setVisibility(self.monitorThird, false); end;
    if self.speedWaitingTimerMonitor < (self.speedWaitingMaxTimeMonitor + self.speedWaitingMaxTimeMonitor) and self.speedWaitingTimerMonitor > self.speedWaitingMaxTimeMonitor
        then setVisibility(self.monitorFirst, false); setVisibility(self.monitorSecond, true); setVisibility(self.monitorThird, false); end;
    if self.speedWaitingTimerMonitor < (self.speedWaitingMaxTimeMonitor + self.speedWaitingMaxTimeMonitor + self.speedWaitingMaxTimeMonitor) and self.speedWaitingTimerMonitor > (self.speedWaitingMaxTimeMonitor + self.speedWaitingTimerMonitor) 
        then setVisibility(self.monitorFirst, false); setVisibility(self.monitorSecond, false); setVisibility(self.monitorThird, true); end;
        self.speedWaitingTimerMonitor = self.speedWaitingTimerMonitor + dt;
    else self.speedWaitingTimerMonitor = 1; setVisibility(self.monitorFirst, false); setVisibility(self.monitorSecond, false); setVisibility(self.monitorThird, false); end; end;
function monitorLoad:loadFromAttributesAndNodes(xmlFile, key, resetVehicles) return BaseMission.VEHICLE_LOAD_OK; end;
function monitorLoad:getSaveAttributesAndNodes(nodeIdent) end;
function monitorLoad:updateTick(dt) end;
function monitorLoad:draw() end;
function monitorLoad:onAttach(attacherVehicle, jointDescIndex) end;
function monitorLoad:onDetach() end;
function monitorLoad:onDeactivate() end;